﻿:root {
    --text-theme-primary: #003980;
    --shrdn-linear-gradient-grey: linear-gradient(360deg, var(--bs-gray-400) 50%, var(--bs-gray-100) 100%) !important;
    --rg-red-color: #f10017;
}

/*# sourceMappingURL=style.css.map */

/*#region Common-Css*/
/*html, body {
  font-size: 12px;
}

@media (min-width: 768px) {
  html, body {
    font-size: 14px;
  }
}*/

* {
    margin: 0;
    padding: 0;
    font-size: 0.9rem;
    scroll-behavior: smooth;
    letter-spacing: 0.07rem;
}

.cursor-pointer {
    cursor: pointer;
}

.scroll-hidden {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}

    .scroll-hidden::-webkit-scrollbar {
        display: none;
    }

.scroll-small::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

.scroll-small::-webkit-scrollbar-track {
    background: var(--scroll-bg);
    border-radius: 7px;
    border: 1px solid var(--scroll-bg);
    overflow: hidden
}

.scroll-bg-dark {
    --scroll-bg: #6d6d6d;
}

.scroll-bg-light {
    --scroll-bg: #f1f1f1;
}

.scroll-small::-webkit-scrollbar-thumb {
    background: #c1c1c1;
    border-radius: 7px;
}

    .scroll-small::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.max-vh-50 {
    max-height: 50vh;
}

.text-tb {
    writing-mode: tb;
}
/*#endregion*/
/*#region Layout-Css*/
:root {
    --navbar-height: 44px;
}

label {
    font-weight: 500;
}

#sec-base-body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

    #sec-base-body #sec-main-navbar {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        z-index: 1021;
    }

        #sec-base-body #sec-main-navbar #sec-user-engagement {
            --userEngagement-text-color: #707070;
            --userEngagement-text-color-hover: #707070;
            --userEngagement-text-background-color-hover: #f8f9fa;
        }

            #sec-base-body #sec-main-navbar #sec-user-engagement .dropdown-menu {
                top: 95%;
                right: 1%;
            }

                #sec-base-body #sec-main-navbar #sec-user-engagement .dropdown-menu .dropdown-item {
                    font-weight: 400;
                    color: var(--userEngagement-text-color);
                }

                    #sec-base-body #sec-main-navbar #sec-user-engagement .dropdown-menu .dropdown-item:active, #sec-base-body #sec-main-navbar #sec-user-engagement .dropdown-menu .dropdown-item:hover {
                        color: var(--userEngagement-text-color-hover);
                        background-color: var(--userEngagement-text-background-color-hover);
                        box-shadow: 0.125rem 0.1rem rgba(0, 0, 0, 0.075);
                    }

    #sec-base-body #sec-main-body {
        flex: 1 1 auto;
        display: flex;
    }

:root {
    --sidebar-background-color: white;
    --sidebar-width-closed: 60px;
    --sidebar-width-open: 250px;
    --sidebar-text-color: #707070;
    --sidebar-text-color-hover: #707070;
    --sidebar-text-background-color-hover: hsla(210, 20%, 98%, 0.905);
}

#sec-sidebar {
    width: var(--sidebar-width-closed);
    transition: all 0.3s ease;
    background-color: var(--sidebar-background-color);
    max-height: calc(100vh - var(--navbar-height));
    position: -webkit-sticky;
    position: sticky;
    top: var(--navbar-height);
}

    #sec-sidebar .sidebar-toggle {
        transition: transform 0.6s ease;
    }

    #sec-sidebar.open {
        width: var(--sidebar-width-open);
    }

        #sec-sidebar.open .sidebar-toggle {
            transform: scaleX(-1);
        }

    #sec-sidebar .project-title {
        margin-top: 2px;
        font-size: 1.1rem;
        font-weight: 600;
        min-width: calc(var(--sidebar-width-open) - var(--sidebar-width-closed));
    }

    #sec-sidebar .project-logo {
        min-width: var(--sidebar-width-closed);
        border-radius: 0.5rem;
    }

        #sec-sidebar .project-logo img {
            width: 80%;
        }

.sec-sidebar-menu {
    width: fit-content;
    overflow-x: hidden;
    height: 100%;
    position: relative;
    padding-top: 0.25rem;
    /* Hide scrollbar for IE, Edge and Firefox */
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
    /* Hide scrollbar for Chrome, Safari and Opera */
}

    .sec-sidebar-menu::-webkit-scrollbar {
        display: none;
    }

    .sec-sidebar-menu .sidebar-option-text {
        color: var(--sidebar-text-color);
        width: 250px;
        font-weight: 500;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .sec-sidebar-menu .sidebar-option-icon {
        min-width: var(--sidebar-width-closed);
        text-align: center;
        font-size: 20px;
        color: var(--sidebar-text-color);
        transition: all 0.3s ease;
    }

    .sec-sidebar-menu .sidebar-menu-item {
        min-height: 30px;
        transition: all 0.3s ease;
        display: flex;
        align-items: center;
        margin-top: 0.125rem;
    }

        .sec-sidebar-menu .sidebar-menu-item.active {
            background-color: #f2f2f2;
            box-shadow: 0.125rem 0.1rem rgba(0, 0, 0, 0.075);
        }

        .sec-sidebar-menu .sidebar-menu-item:hover {
            box-shadow: 0.125rem 0.1rem rgba(0, 0, 0, 0.075);
            background-color: var(--sidebar-text-background-color-hover);
        }

            .sec-sidebar-menu .sidebar-menu-item:hover .sidebar-option-icon {
                color: var(--sidebar-text-color-hover);
            }

            .sec-sidebar-menu .sidebar-menu-item:hover .sidebar-option-text {
                color: var(--sidebar-text-color-hover);
            }

    .sec-sidebar-menu .accordion-item {
        border: 0;
        position: relative;
    }

        .sec-sidebar-menu .accordion-item .accordion-body {
            padding: 0;
            padding-left: 0.8rem;
        }

        .sec-sidebar-menu .accordion-item .accordion-button {
            padding: 0;
            position: absolute;
            left: 0;
            /*#region Over-riding bootstrap styles*/
            /*#endregion*/
        }

            .sec-sidebar-menu .accordion-item .accordion-button::before {
                flex-shrink: 0;
                width: var(--bs-accordion-btn-icon-width);
                height: var(--bs-accordion-btn-icon-width);
                content: "";
                background-image: var(--bs-accordion-btn-icon);
                background-repeat: no-repeat;
                background-size: 0.75rem;
                background-position: center;
                transform: rotate(-90deg);
                transition: var(--bs-accordion-btn-icon-transition);
                transition-duration: 0.1s;
                position: absolute;
            }

            .sec-sidebar-menu .accordion-item .accordion-button::after {
                content: none;
            }

            .sec-sidebar-menu .accordion-item .accordion-button:focus {
                z-index: 3;
                border-color: initial;
                outline: 0;
                box-shadow: none;
            }

            .sec-sidebar-menu .accordion-item .accordion-button:not(.collapsed) {
                color: inherit;
                background-color: initial;
                box-shadow: none;
            }

                .sec-sidebar-menu .accordion-item .accordion-button:not(.collapsed)::before {
                    background-image: var(--bs-accordion-btn-active-icon);
                    transform: rotate(0deg);
                }

#sec-base-body #sec-main-body #sec-page-wrapper {
    width: 100%;
    padding: 1rem 0.5rem;
    flex: 1 1 auto;
}

#sec-base-body #sec-main-footer {
    z-index: 1;
}

/*#region Login*/
#cntr-entity-login, #cntr-entity-reset-password, #cntr-entity-frgt-psw, .rg-cntr-form-bg-img {
    background-image: url("/images/common/default-background/castle.jpg");
    /*background-blend-mode: luminosity;*/
    /*background-color: var(--bs-shrdn-primary);*/
    background-blend-mode: multiply;
    background-color: #243b42;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    font-size: smaller;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1 1 auto;
}

    #cntr-entity-login > div,
    #cntr-entity-frgt-psw > div,
    #cntr-entity-reset-password > div {
        min-width: 350px;
    }

    #cntr-entity-login label, #cntr-entity-login a,
    #cntr-entity-frgt-psw label, #cntr-entity-frgt-psw a,
    #cntr-entity-reset-password label, #cntr-entity-reset-password a {
        margin: 0;
        font-weight: 500;
        cursor: pointer;
    }

    #cntr-entity-login *:focus,
    #cntr-entity-frgt-psw *:focus,
    #cntr-entity-reset-password *:focus {
        box-shadow: none;
    }
/*#endregion*/

/*#endregion*/
/*# sourceMappingURL=style.css.map */

/*tabs*/
.dataTables_wrapper .dataTables_paginate .paginate_button:hover:not(.current, .disabled) {
    border: transparent 0px solid !important;
    color: black !important;
    background: linear-gradient(to top, #6f42c1 30%,#f7f4fb 100%) !important;
}

.table thead > * > * {
    font-size: small !important;
    background-image: var(--shrdn-linear-gradient-grey);
    color: var(--bs-gray-800) !important;
    border: 1px solid var(--bs-gray-500);
}

tbody {
    font-size: 0.7rem;
}

tr.cell-px-0 td {
    padding-left: 0;
    padding-right: 0;
    vertical-align: middle !important;
}

    tr.cell-px-0 td span.select2-selection {
        border-radius: 0 !important;
    }

/*#region Excel Table*/
.table-excel th {
    background-image: none;
    background: #e8e8e8;
    padding: 0.3rem 0.5rem;
}

.table-excel td {
    padding: .25rem .3rem;
    background: white;
}

.table-excel input, .table-excel select, .table-excel textarea {
    background: transparent;
    border-width: 0;
    outline: none;
}

    .table-excel input:focus, .table-excel select:focus, .table-excel textarea:focus {
        background: none;
        /*box-shadow: none;*/
    }

    .table-excel input:not([readonly]):focus, .table-excel select:not([readonly]):focus, .table-excel textarea:not([readonly]):focus {
        /*outline: auto;*/
    }

.table-excel:not(.table-excel-view-only) td:not(:has(input, select, textarea, button)), .table-excel td:has(input[readonly], select[readonly], textarea[readonly]) {
    background: #fbfbfb;
}

.table-excel .select2-container:not(.select2-container--disabled) .select2-selection {
    background: transparent;
    border-width: 0;
    padding: 0;
}
/*#endregion */
.shadow-default {
    box-shadow: 0px 0px 2px 1px #c1b8b8;
}

.cntr-page-actn-btns {
    border-bottom: 2px solid lightgrey;
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity)) !important;
}

.cntr-default {
    padding: 0.5rem !important;
    box-shadow: 0px 0px 2px 1px #c1b8b8;
    margin-top: 0.5rem !important;
    margin-top: 0.5rem !important;
    border-radius: var(--bs-border-radius) !important;
}
/*#region Buttons */
/*#region Grey Gradient Button */

.btn-shrdn-gradient-grey {
    background: var(--shrdn-linear-gradient-grey);
    /*color: var(--bs-gray-800) !important;*/
    /*border: 1px solid var(--bs-gray-500);*/
}

    .btn-shrdn-gradient-grey:hover, .btn-shrdn-gradient-grey:focus-visible {
        color: var(--bs-gray-800);
        border: 1px solid var(--bs-gray-500);
        box-shadow: 0 0 0 0.125rem var(--bs-gray-500);
    }
/*#endregion */
/*#endregion */
/*#region Select2 */
.select2-container {
    /*width: 100% !important;*/
}

    .select2-container:not(.select2-container--disabled) .select2-selection {
        background: var(--bs-body-bg);
    }

.select2-selection {
    border-color: #ced4da !important;
}

.select2-container--default .select2-selection--multiple::after {
    content: "";
    border-color: #888 transparent transparent transparent;
    border-style: solid;
    border-width: 5px 4px 0 4px;
    margin-right: 7px;
    right: 0;
    margin-top: -2px;
    position: absolute;
    top: 50%;
}

.select2-container--default.select2-container--open .select2-selection--multiple::after {
    border-color: transparent transparent #888 transparent;
    border-width: 0 4px 5px 4px;
}

/*#region Select2 ReadOnly*/
select[readonly].select2-hidden-accessible + .select2-container {
    pointer-events: none;
    touch-action: none;
}

    select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
        /*background: #eee;*/
        box-shadow: none;
    }

    select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow, select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
        display: none;
    }

/*#endregion Select2 ReadOnly*/
/*#endregion */
.vh-90 {
    height: 90vh !important;
}

.vh-80 {
    height: 80vh !important;
}

.vh-75 {
    height: 75vh !important;
}

.vh-50 {
    height: 50vh !important;
}

.max-w-550 {
    max-width: 550px;
}

/*#region Page Loader */
#page-loader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    z-index: 9999;
}
/*#endregion */

/*#region Component Loader */
.componentLoader {
    z-index: 9998;
    width: 100%;
    height: 100%;
    min-height: fit-content;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: hsl(0deg 0% 0% / 5%);
}
/*#endregion */

/*#region Confirm Box */
.confirm-box-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.25);
    z-index: 10000;
}

    .confirm-box-wrapper .confirm-box {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 300px;
        background-color: #fff;
        border-radius: 5px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
        text-align: center;
    }

        .confirm-box-wrapper .confirm-box div {
            padding: 20px;
        }
/*#endregion */

/*#region Nav Bar Apps*/
.app-hover {
    transition-property: box-shadow,background-color;
    transition: linear 0.25s;
}

    .app-hover:hover {
        background-color: #fafafa;
        box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
    }
/*#endregion*/

/*#region Nav Tabs*/
.nav-tabs .nav-link {
    transition: all linear 0.1s;
    font-weight: 700;
}

    .nav-tabs .nav-link:not(.active):hover {
        color: rgba(var(--bs-shrdn-primary-rgb), 0.6) !important;
    }
/*#endregion*/

/*#region Nav Underline*/
.nav-underline .nav-link {
    transition: all ease 0.2s;
    font-weight: 700;
}

    .nav-underline .nav-link:not(.active):hover {
        color: rgba(var(--bs-shrdn-primary-rgb), 0.6) !important;
    }
/*#endregion*/

.rg-form-bg-img {
    background-image: url(/images/common/form-frame/form-frame.png);
    background-position: center;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    /*backdrop-filter: blur(5px);*/
    z-index: 0;
}

/*#region Shimmer Effect*/
.shimmer-effect:not(.hide-shimmer) {
    --shimer-width: 200px;
    --shimer-height: 20px;
    --shimer-background: #fff8;
    --shimer-brdr-radius: 0.25rem;
    width: var(--shimer-width) !important;
    min-height: var(--shimer-height) !important;
    /*color: grey;*/
    background-color: var(--shimer-background);
    border-radius: var(--shimer-brdr-radius);
    display: inline-block;
    -webkit-mask: linear-gradient(-60deg,#000 30%,#0005,#000 70%) right/300% 100%;
    background-repeat: no-repeat;
    animation: shimmer .9s infinite ease;
    /*font-size: 50px;*/
    /*max-width: 200px;*/
}

@keyframes shimmer {
    100% {
        -webkit-mask-position: left;
    }
}
/*#endregion*/

/*#region Text Ellipsis*/
.text-ellipsis {
    --line-clamp: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: var(--line-clamp);
    -webkit-box-orient: vertical;
}
/*#endregion*/
.text-justify {
    text-align: justify;
}

.intersection-observer-entry-element:has(*) {
    padding: 4rem !important;
}

.progress-bar {
    transition: width 20s linear;
}

    .progress-bar:not(.grow) {
        width: 0%;
    }

    .progress-bar.grow {
        width: 100%;
    }

.header-flamingo {
    transition: filter ease .5s
}

    .header-flamingo.glow {
        filter: drop-shadow(0px 0px 0.2rem gold) !important;
    }

.text-shrdn-red {
    color: var(--rg-red-color);
}

/*#region Hide Input Type Number Spinners*/
/* Chrome, Safari, Edge, Opera */
.hide-number-spinners:is(input[type=number])::-webkit-outer-spin-button,
.hide-number-spinners:is(input[type=number])::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
.hide-number-spinners:is(input[type=number]) {
    -moz-appearance: textfield;
}
/*#endregion*/
